# 7. Mutacija: ustvari »ZonesMap«

Ustvari "ZonesMap" za "Polje".

{% hint style="info" %}
Čas izvajanja se razlikuje (od 4 sekund do 5 minut), odvisno je od števila slik in območja polja za obdelavo, in naročnina bo prejeta po uspešni generaciji "ZonesMap".
{% endhint %}

{% hint style="danger" %}
Priporočamo uporabo **asinhronega** pristopa za generiranje ZonesMaps
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija GenerateZonesMap {
  generateVectorAnalysisMap(vhod: {
    fieldUuid: "<placeholder_of_field_uuid>"
    satelliteImageUuids: [
      "<placeholder_of_satelliteimage_uuid_1>",
      "<placeholder_of_satelliteimage_uuid_2>"
    ]
    številoCon: 6
    indeks: EVI2
  }) {
    uuid
    fieldUuid
    ime
    vrsta
    geoMaps {
      url
      razredi
      hexBarvneKode
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/svn/api-dokumentacija/pregled-zahtevkov-geopard-api/7.-mutacija-ustvari-zonesmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
